#!/bin/bash
if [ "$#" -eq "2" ]
  then
    java -classpath lib/*:lib/dataingestionservice-1.204-SNAPSHOT.jar com.carbonblack.eedr.monitor.KinesisConsumerStats http://flink-cluster-prod-eedr.cdca.int 10 $1 $2
else
    echo "Error! 2 arguement (Flink job id, Kinesis metrics type) are required. For example:"
    echo ""
    echo "  scripts/kinesismetrics.sh f4783691f8d3ac2d4a438a751a868a7a numberOfAggregatedRecordsPerFetch"
    echo ""
    echo "Metric Types:"
    echo ""
    echo "  millisBehindLatest"
    echo "  sleepTimeMillis"
    echo "  numberOfDeaggregatedRecordsPerFetch"
    echo "  numberOfAggregatedRecordsPerFetch"
    echo ""
fi